﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using StackedColumnSeriesHelp.Models;

namespace StackedColumnSeriesHelp.Repositories
{
    class DataRepository
    {
        static ObservableCollection<DataModel>[] data = new ObservableCollection<DataModel>[] 
        {
            new RandomSeries(0),
            new RandomSeries(1)
        };
        public static ObservableCollection<DataModel> GetDataByID(int index)
        {
            if (index >= data.Length) return null;
            return data[index];
        }
    }

    class RandomSeries : ObservableCollection<DataModel>
    {
        public RandomSeries(int seed)
            :base()
        {
            Random random = new Random(seed);
            for (int i = 0; i < 10; i++)
                this.Add(new DataModel(random.Next(100), random.Next(20)));
        }
    }
}
